org.eclipse.cdt.utils.coff

## Class PE.IMAGE_DEBUG_DIRECTORY

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE.IMAGE_DEBUG_DIRECTORY

Enclosing class:
  PE

    public static class PE.IMAGE_DEBUG_DIRECTORY
    extends Object

### Field Summary

Fields
`int` `AddressOfRawData`
`int` `Characteristics`
`short` `MajorVersion`
`short` `MinorVersion`
`int` `PointerToRawData`
`int` `SizeOfData`
`int` `TimeDateStamp`
`int` `Type`

### Constructor Summary

Constructors
Constructor and Description
`IMAGE_DEBUG_DIRECTORY(RandomAccessFile file, long offset)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Characteristics

    public int Characteristics

#### TimeDateStamp

    public int TimeDateStamp

#### MajorVersion

    public short MajorVersion

#### MinorVersion

    public short MinorVersion

#### Type

    public int Type

#### SizeOfData

    public int SizeOfData

#### AddressOfRawData

    public int AddressOfRawData

#### PointerToRawData

    public int PointerToRawData

### Constructor Detail

#### IMAGE_DEBUG_DIRECTORY

    public IMAGE_DEBUG_DIRECTORY(RandomAccessFile file,
                                 long offset)
                          throws IOException

Throws:
  `IOException`